WordPress.org

Plugin Directory

Frontier Post

Simple, Fast & Secure frontend management of posts - Add, Edit, Delete posts from frontend - Full featured frontend management of posts.

WordPress Frontier Post Plugin enables simple full featured management of standard posts from frontend for all user roles.

Intention of the Frontier Post plugin is to enable front end posting and editing on your blog. Allowing your users to create content easy, with no need to go into the back-end. Editors and Administrators can use Frontier to edit posts from the frontend (Can be enabled/disabled in settings), and at the same time go to the backend for more advanced options.

Frontier Post is intentionally made simple - But it is highly configuable if you want to extend it :)

Main Features

  • Add/Edit/Delete Posts and Pages with media directly from frontend
  • My Posts Widget
  • My Approvals Widget
  • Capabilities are aligned with WordPress standard.
  • Edit Categories / Tags / Taxonomies (dropdown, multiselect, checkbox or radio button)
  • Default category per role
  • Allowed categories per role
  • Widget to enable post creation link on category archive pages
  • Supports WordPress Post Status Transitions (draft, pending, private & publish)
    • Moderation comments (will not be displayed on blog, only on edit.
  • Disable Admin bar per role (Optional)
  • User defined templates for forms
  • Users must be logged in to post
  • Multiple pages with frontier-post shortcode can be used.
  • Supports external management of capabilities (tested with User Role Editor)
  • frontier-post.css can be placed in template (child theme dir - See here ), allowing for customm css rules.
  • Custom Post Types
  • Documentation: http://www.wpfrontier.com

Usage

Related plugins

Translations

  • Danish
  • German (tomcatchriss)
  • Turkish (nelanbunet)
  • Russian (samaks)
  • Chinese (beezeeking)
  • Spanish (Hasmin)
  • Polish (Thomasz)
  • French (pabaly)
  • Dutch (fredwier)

Let me know what you think, and if you have enhancement requests or problems let me know through support area

Requires: 3.4.0 or higher
Compatible up to: 4.2.3
Last Updated: 2015-7-20
Active Installs: 2,000+

Ratings

4.8 out of 5 stars

Support

23 of 25 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,2,2 100,1,1 100,2,2 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1
100,1,1
100,2,2
100,2,2 100,1,1
100,2,2 100,2,2
100,1,1
100,1,1
0,1,0
100,2,2
100,2,2 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,2,2 100,3,3 100,2,2 100,1,1
100,1,1 100,1,1 100,1,1